X Check With Failure Error Badwindow Parâmetro De Para-brisa Ruim Problemas Glxinfo?

Se você possuir o parâmetro x badwindow request, doente glxinfo window em seu procedimento, este guia deve ajudá-lo neste plano de ação.< /p>

[Windows] O software que fará seu PC funcionar como novo novamente

Perguntas sobre instalação de API, lÖve, LÖVE e suporte podem ser encontradas aqui.forumleia

governa isso

milhões
Membro do grupo

Postagens: 265

Entrou em: 18 de janeiro de 2018 21h14

[RESOLVIDO] Erro BadWindow no Linux Mint 19 XFCE

Está decidido! Descobriu-se que a última versão do Mesa era a culpada, que esmagou a compatibilidade do OpenGL com duas GPUs Intel de 3ª engenharia. Solução: Fora algumas das perguntas aqui

viewtopic.Você vende php?f=4&t=85719&p=223077#p223077

Eu recebo um antigo gadget de computador Intel Atom com o qual eu brinco. Até recentemente, o Linux Mint Cinnamon 18 estava no hardware e funcionava perfeitamente com ele - tudo o que comprei para fazer foi configurar seu PPA e procurar por Love no gerenciador de software. Fácil!

No entanto, o Mint linux 19 foi lançado recentemente e, além disso, eu escolhi o XFCE (porque os componentes mais antigos têm precedência lol). Eu fiz isso para você simplesmente fazer uma instalação limpa (incluindo limpeza de disco) anexada ao LM19, bem como uma instalação natural do XFCE. Até agora, tudo que está funcionando bem, exceto para desfrutar.

:(

Recebo um erro inexplicável quando badwindow, meu marido e eu estamos tentando fazer qualquer coisa apropriada para o executável love, vamos para: na direção do aplicativo arquivo .love, "curtidas" você nomeia o arquivo .realistic love for "amor" próximo como este tipo. Eu não tenho idéia do que usar a seguir Eu sou um linux mais recente novamente, então não sei onde lidar com problemas com proprietários etc. Qualquer ajuda geralmente seria muito apreciada. Aqui está copiando / colando algum tempo do terminal para mostrar o estado atual :

[email protected]:~$ AmorErro de solicitação X concluída: BadWindow (parâmetro de período inválido)  Falha ao obter opcode considerável: 4 (X_DestroyWindow)  O fornecedor que eu usaria se o require falhasse: 0x4600014 Erro de reivindicação do número de série: 299  Número de série atual do último feriado [email protected]: streams: ~$ Enchantment --versionAMOR 11.1 (segredos misteriosos do sudo)[email protected]:~$ apt-get você pode definir a senha principal libgl1-mesa-dev[sudo] Cooper:Ler listas de software... árvore ConcluídoCriar dependênciasLendo informações de status... Já concluídolibgl1-mesa-dev também é a versão mais recente (18.0.5-0ubuntu0~18.04.1).0 0 8 atualizado, instalado recentemente, Excluir também 0 Não necessariamente [email protected]:~$ sudo apt-get libgl1-mesa-glxLendo listas de caixas de instalação... ConcluídoCriar dependênciasLer a árvore de informações de localização... Concluídolibgl1-mesa-glx já pode ser a série mais popular (18.0.5-0ubuntu0~18.04.1).0 0 para atualizar, reconectar, 0 para excluir e em vez de 0 atualizar. [email protected]:~$ apt-get libsdl2-devLer Setlists de Configuração...ConcluídoCrie a árvore de dependência realLer informações da fase... Já concluídolibsdl2-dev é a versão mais recente (2.0.8+dfsg1-1ubuntu1.18.04.1).0 moderno, 0 adicionado recentemente, 0 removido, mas 0 apenas [email protected]:~$ -aNão existem módulos lsb lsb_release reais.ID de distribuição: Linux Linux Mint.Descrição Menta: 19 alcatrão.Versão: 19Codinome: Tara

milão

até Qui 13.09.6:12 2018 em uma noite em particular, editado uma vez por completo.

pgymeno Du

membro do grupo

Postagens: 2975

Ingressou: 16 de outubro de 2015, 14h58

Re: Erro no Badwindow Linux 19 Mint XFCE

Você pode materializar o resultado? (glxinfo também está literalmente no pacote mesa-utils, de fato, instale-o primeiro se você não precisar obtê-lo)

x erro relacionado à solicitação com falha badwindow parâmetro inválido da janela da casa glxinfo

E qual implemento de placa gráfica você possui (se não for reconhecível na saída acima)?

Milon Du
membro do grupo

Postagens: 265

Ingressou: quinta-feira, 18 de janeiro de 2018 21h14

Re: Erro BadWindow no Linux Mint 20 XFCE

http://global.shuttle.com/main/products... glxinfo uctId=1515

[email protected]:~$ | grep OpenGLCadeia de fornecedores OpenGL: Intel Open Source Technology CenterLinha de renderização OpenGL: DRI mesa Line pineviewEdições Intel(r) OpenGL: 1.4 Mesa 18.0.5extensões de registro opengl:Série de versões Opengl ES ES: Opengl 2.0 Mesa 18.0. Sombreamento de perfil 5palavras do aplicativo opengl string es: ES opengl GLSL ES 1.0.16Então, extensões de perfil ES OpenGL:

pgymeno

membro do grupo

contribuições: 2975

Data de inscrição: 18 de outubro de 2015,

Re: 14:58

Erro BadWindow no Linux Mint 19 XFCE

x error of failed inquire badwindow invalid window parameter glxinfo

Hmm, não estou muito familiarizado com drivers e requisitos. Ele até me analisa considerando que o opengl que 1.4 suporta é antigo, mas também o OpenGLES 2.0 que eu acho que está ok, mas talvez não tenha certeza. Curiosamente, não consigo escolher os requisitos do OpenGL lÖve para alguns tipos de lugares que acho que são da mais alta qualidade: topo da página, topo das páginas do wiki, a página inicial de feeds rss e as notas de lançamento para fazer 11.0. Acho que sua situação de ambiente forçou o OpenGL a usar o ES, mas não entendo totalmente qual.

Mas o "Mesa DRI" pretende usar/exigir drivers DRI inteiramente do GLX? de Você colocou libgl1-mesa-dri?

- não, tente instalar e escolha remover libgl1-mesa-glx.Se for

PC lento?

O seu PC está constantemente lhe causando sofrimento? Não sabe para onde se virar? Bem, nós temos a solução para você! Com o Reimage, você pode reparar erros comuns do computador, proteger-se contra perda de arquivos, malware e falhas de hardware... e otimizar seu PC para obter o máximo desempenho. É como comprar uma máquina novinha em folha sem ter que gastar um único centavo! Então por que esperar? Baixe o Reimage hoje mesmo!

  • Etapa 1: baixar e instalar o Reimage
  • Etapa 2: inicie o programa e siga as instruções na tela
  • Etapa 3: selecione os arquivos ou pastas que deseja verificar e clique em "Restaurar"

  • - no entanto, verifique a remoção para ver se isso força você a usar o GLX.

    Estas são realmente fotos no escuro, pois eu não tinha idéia de onde libgl1-mesa-dri suporta OpenGL acelerado por reflexão, além disso, se glx for necessário para LÖVE. Na pior das hipóteses, a maioria das pessoas voltará para tudo e você certamente seria mais parecido com você agora.